PDA

View Full Version : Error when running demo



Sean Thomas
16 May 2019, 1:12 PM
I have downloaded the ext-angular repo, navigated to demos\angular-cli-with-library.
Then run NPM install.
When I run ng serve I get the following error:
ERROR in src/app/app.module.ts(3,34): error TS2307: Cannot find module 'ext-angular'.
What have I neglected to do!
Kind regards
Sean

Forum_Adm
2 Jun 2019, 11:57 AM
Thank you so much for your post. I apologize for the delay. I have shared this with the support staff to look into at their earliest convenience. Your patience is greatly appreciated!

Thanks again,

Michele

rakumar
12 Jun 2019, 1:36 PM
Hello Sean,

Please refer to the below URL for troubleshooting, please revert back if the issue still persists.

https://docs.sencha.com/extjs/6.7.0/guides/npm_packages/npm_help.html

Regards,
Kumar
Sencha Support.

rakumar
12 Jun 2019, 1:38 PM
Also,

We suggest to check node_modules/@sencha/ext-angular exists? And if it doesn't I check ~/.npmrc to verify the @sencha scope is there, or just aim to login again to sencha npm repository, and then run npm install again.


It's likely the login didn't work correctly.
Anytime a module can't be found it's likely not available to load in the node_modules.

Sean Thomas
14 Jun 2019, 2:06 PM
Thank you for the suggestions. In brief:
I started from scratch with a new login / trial. My previous trial had timed out before I was able to get anything running.
I have successfully logged in using npm login --registry=https://npm.sencha.com [email protected]
I have run npm install -g @sencha/ext-angular
The Sencha scope seems to have successfully installed and can be found in C:\Users\sean\AppData\Roaming\npm\node_modules\@sencha
When I run npm install in my project directory I get the following error:
npm ERR! code ETARGET
npm ERR! notarget No matching version found for @sencha/[email protected]~6.7.1
npm ERR! notarget In most cases you or one of your dependencies are requesting
npm ERR! notarget a package version that doesn't exist.
npm ERR! notarget
npm ERR! notarget It was specified as a dependency of 'angular-cli-with-library'

Any suggestions?
Kind regards
Sean

rakumar
20 Jun 2019, 11:23 AM
Hello Sean,

This error occurs most likely when you are not logged in with @sencha scope. Please try again and let us know.

Regards,
Kumar
Sencha Support.

Sean Thomas
3 Aug 2019, 1:05 AM
The solution was change @sencha/[email protected]~6.7.1 to @sencha/[email protected]~6.7.0